<?php
/**
 * Manage upgrades for the Tribe iCal Importer plugin
 */

// Don't load directly
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

if ( class_exists( 'Tribe__Events__Ical_Importer__PUE' ) ) {
	return;
}

class Tribe__Events__Ical_Importer__PUE {

	/**
	 * @var string slug used for the plugin update engine
	 */
	private static $pue_slug = 'tribe-ical-importer';

	/**
	 * @var string plugin update url
	 */
	private static $update_url = 'http://tri.be/';

	/**
	 * @var string plugin file name
	 */
	private static $plugin_file;

	/**
	 * Constructor function. a.k.a. Let's get this party started!
	 *
	 * @param string $plugin_file file path.
	 */
	public function __construct( $plugin_file ) {
		self::$plugin_file = $plugin_file;
		add_action( 'tribe_helper_activation_complete', array( $this, 'load_plugin_update_engine' ) );
	}

	/**
	 * Load the Plugin Update Engine
	 */
	public function load_plugin_update_engine() {
		if ( apply_filters( 'tribe_enable_pue', true, self::$pue_slug ) && class_exists( 'Tribe__PUE__Checker' ) ) {
			$this->pue_instance = new Tribe__PUE__Checker( self::$update_url, self::$pue_slug, array(), plugin_basename( self::$plugin_file ) );
		}
	}
}
