<?php
/**
 * tribe_ical_importer_get_template
 *
 * Checks for a matching file in the theme with a
 * 'events-importer-ical' folder. If not found loads
 * from the plugin
 *
 * @param $file
 *
 * @return void
 */
function tribe_ical_importer_get_template( $file ) {
	if ( strpos( $file, '.php' ) === false ) {
		$file .= '.php';
	}
	if ( $theme_file = locate_template( 'events-importer-ical/' . $file ) ) {
		require( $theme_file );
	} else {
		require( Tribe__Events__Ical_Importer__Main::$plugin_path . 'src/views/' . $file );
	}
}

/**
 * Find all occurrences of the \n string and replace it with a linebreak
 *
 * @param string $string String on which to do the replacing
 *
 * @return string
 */
function tribe_ical_inject_linebreaks( $string ) {
	// Look for a '\n' that is not preceded by a '\'
	// Note: To match a single \, you need to double escape (once for regex and once for a PHP string) resulting in \\\\
	// Also note: The (?<!\\\\) is a negative lookbehind, meaning if the \n is preceded by a \, it won't match this regex
	return preg_replace( '/(?<!\\\\)\\\\n/', "$1\n", $string );
}

/**
 * Find all occurrences of the \n string and replace it with a space
 *
 * @param string $string String on which to do the replacing
 *
 * @return string
 */
function tribe_ical_replace_linebreaks_with_spaces( $string ) {
	// Look for a '\n' that is not preceded by a '\'
	// Note: To match a single \, you need to double escape (once for regex and once for a PHP string) resulting in \\\\
	// Also note: The (?<!\\\\) is a negative lookbehind, meaning if the \n is preceded by a \, it won't match this regex
	return preg_replace( '/(?<!\\\\)\\\\n/', '$1 ', $string );
}
