<?php
$saved_imports = Tribe__Events__Ical_Importer__Recurring_Imports::get_instance()->get_saved_imports();
add_thickbox();

?>
<div id="edit-saved-recurring-placeholder" class="tribe-hidden"></div>

<div id="edit-saved-recurring" class="tribe-hidden">
	<div>
		<form method="POST" class="edit-save-recurring-form">
			<?php wp_nonce_field( Tribe__Events__Ical_Importer__Recurring_Imports::NONCE, Tribe__Events__Ical_Importer__Recurring_Imports::NONCE ); ?>

			<input type="hidden" name="key" value="{{key}}"/>
			<table cellpadding="5" class="form-table">
				<tr>
					<td>
						<label>
							<?php esc_html_e( 'URL', 'tribe-events-ical-importer' ); ?>
						</label>
					</td>
					<td>
						{{url}}
					</td>
				</tr>
				<tr>
					<td>
						<label>
							<?php esc_html_e( 'Domain', 'tribe-events-ical-importer' ); ?>
						</label>
					</td>
					<td>
						{{domain}}
					</td>
				</tr>
				<tr>
					<td>
						<label>
							<?php esc_html_e( 'Location', 'tribe-events-ical-importer' ); ?>
						</label>
					</td>
					<td>
						<input type="text" name="location" value="{{location}}"/>
					</td>
				</tr>
				<tr>
					<td>
						<label>
							<?php esc_html_e( 'Radius', 'tribe-events-ical-importer' ); ?>
						</label>
					</td>
					<td>
						<select name="radius">
							<option value="">
								<?php esc_html_e( 'Radius', 'tribe-events-ical-importer' ); ?> (<?php echo Tribe__Events__Ical_Importer__Main::getRadiusAbbreviation(); ?>)
							</option>
							<?php
							foreach ( Tribe__Events__Ical_Importer__Main::get_radii() as $label => $value ) {
								printf( '<option value="%s">%s</option>', esc_attr( $value ), $label );
							}
							?>
						</select>
					</td>
				</tr>
				<tr>
					<td>
						<label>
							<?php esc_html_e( 'Category', 'tribe-events-ical-importer' ); ?>
						</label>
					</td>
					<td>
						<select name="import_category">
							<option value="">
								<?php esc_html_e( 'Select Category', 'tribe-events-ical-importer' ); ?>
							</option>
							<?php
							$cats = get_terms( Tribe__Events__Main::TAXONOMY, array( 'hide_empty' => false ) );
							foreach ( $cats as $cat ) {
								printf( '<option value="%s">%s</option>', esc_attr( $cat->term_id ), $cat->name );
							}
							?>
						</select>
					</td>
				</tr>
				<tr>
					<td>
						<label>
							<?php esc_html_e( 'Keywords', 'tribe-events-ical-importer' ); ?>
						</label>
					</td>
					<td>
						<input type="text" name="keywords" value="{{keywords}}"/>
					</td>
				</tr>
				<?php if ( class_exists( 'Tribe__Events__Pro__Main' ) ) { ?>
				<tr>
					<td>
						<label for="tribe-ical-setting-recurring_overwrite">
							<?php esc_html_e( 'Overwrite Existing', 'tribe-events-ical-importer' ); ?>
						</label>
					</td>
					<td>
						<input id="tribe-ical-setting-recurring_overwrite" type="checkbox" name="recurring_overwrite" value="checked" {{recurring_overwrite}} />
						<p><small>
							<?php esc_html_e( 'If checked the importer will update/overwrite the existing events when they are changed in the source.', 'tribe-events-ical-importer' ); ?>
						</small></p>
					</td>
				</tr>
				<?php } ?>
				<tr>
					<td>
						<label>
							<?php esc_html_e( 'Import Status', 'tribe-events-ical-importer' ); ?>
						</label>
					</td>
					<td>
						<?php
						$import_statuses = Tribe__Events__Importer__Options::get_possible_stati();
						$status = Tribe__Events__Importer__Options::get_default_post_status( 'ical' );
						?>

						<select name="post_status">
							<?php
							foreach ( $import_statuses as $value => $label ) {
								printf( '<option value="%s">%s</option>', esc_attr( $value ), $label );
							}
							?>
						</select>
					</td>
				</tr>
				<tr>
					<td>
						<label>
							<?php esc_html_e( 'Start', 'tribe-events-ical-importer' ); ?>
						</label>
					</td>
					<td>
						<input type="text" name="start" value="{{start}}" class="date-picker" />
					</td>
				</tr>
				<tr>
					<td>
						<label>
							<?php esc_html_e( 'Frequency', 'tribe-events-ical-importer' ); ?>
						</label>
					</td>
					<td>
						<select name="schedule">
							<?php
							$cron_schedules = Tribe__Events__Ical_Importer__Main::cronScheduleGet();
							foreach ( $cron_schedules as $key => $value ) {
								?>
								<option value="<?php echo esc_attr( $key ); ?>">
									<?php echo esc_html__( 'Recurring', 'tribe-events-ical-importer' ) . ': ' . $value[ 'display' ]; ?>
								</option>
							<?php
							}
							?>
						</select>
					</td>
				</tr>
				<tr>
					<td>
						<label>
							<?php esc_html_e( 'Initiated', 'tribe-events-ical-importer' ); ?>
						</label>
					</td>
					<td>
						{{initiated}}
					</td>
				</tr>
				<tr>
					<td>
						<label>
							<?php esc_html_e( 'Last Update', 'tribe-events-ical-importer' ); ?>
						</label>
					</td>
					<td>
						{{last_update}}
					</td>
				</tr>

				<tr>
					<td>
						<label>
							<?php esc_html_e( 'Total # Imported', 'tribe-events-ical-importer' ); ?>
						</label>
					</td>
					<td>
						{{number_imported}}
					</td>
				</tr>
			</table>
			<input type="submit" class="button-primary" value="<?php esc_attr_e( 'Save' ); ?>"/>
		</form>
	</div>
</div>
<script type="application/json" id="tribe-import-saved-items-json"><?php echo json_encode( $saved_imports ); ?></script>