<?php
$datepicker_format = Tribe__Date_Utils::datepicker_formats( tribe_get_option( 'datepickerFormat' ) );
?>
<div id="tribe-events-importexport-new-import-form">
	<h3><?php esc_html_e( 'New iCal Import', 'tribe-events-ical-importer' ); ?></h3>

	<div id="tribe-events-importexport-import-form">

		<?php tribe_ical_importer_get_template( 'hidden-messages' ); ?>

		<div id="tribe-events-import-schedule">
			<label><?php esc_html_e( 'Import Type', 'tribe-events-ical-importer' ); ?>:</label>
			<select name="tribe-events-importexport-import-schedule" id="tribe-events-importexport-import-schedule">
				<option value="0">
					<?php esc_html_e( 'Select Type', 'tribe-events-ical-importer' ); ?>
				</option>
				<option value="1" class="single">
					<?php esc_html_e( 'One-Time Import', 'tribe-events-ical-importer' ); ?>
				</option>
				<?php
				$cron_schedules = Tribe__Events__Ical_Importer__Main::cronScheduleGet();
				foreach ( $cron_schedules as $key => $value ){
					?>
					<option value="<?php echo esc_attr( $key ); ?>" class="recurring">
						<?php echo esc_html__( 'Recurring', 'tribe-events-ical-importer' ) . ': ' . $value[ 'display' ]; ?>
					</option>
					<?php
				}
				?>
			</select>
		</div>

		<form method="POST" action="" id="tribe-events-ical-new-ical-form">
			<div id="tribe-events-ical-source">
				<label>
					<?php esc_html_e( 'Source', 'tribe-events-ical-importer' ); ?>:
				</label>
				<select id="ical-source">
					<option value="url">
						<?php esc_html_e( 'iCal URL', 'tribe-events-ical-importer' ); ?>
					</option>
					<option value="file">
						<?php esc_html_e( '.ics File', 'tribe-events-ical-importer' ); ?>
					</option>
				</select>

				<input type="text" name="tribe-events-ical-url" id="tribe-events-ical-url" placeholder="<?php esc_attr_e( 'example.com/ical-url', 'tribe-events-ical-importer' ); ?>" value=""/>

				<input type="button" id="tribe-events-ical-upload" class="button-secondary" value="<?php esc_attr_e( 'Click to choose', 'tribe-events-ical-importer' ); ?>">

			</div>

			<div id="tribe-events-ical-refine">

				<label>
					<?php esc_html_e( 'Refine Results', 'tribe-events-ical-importer' ); ?>:
				</label>

				<input type="text" name="tribe-events-ical-keywords" id="tribe-events-ical-keywords" placeholder="<?php esc_attr_e( 'Add Keywords', 'tribe-events-ical-importer' ); ?>" value=""/>

				<input type="text" name="tribe-events-ical-location" id="tribe-events-ical-location" placeholder="<?php esc_attr_e( 'Add Location', 'tribe-events-ical-importer' ); ?>" value=""/>

				<input type="text" size="9" id="tribe-events-ical-startdate" name="tribe-events-ical-startdate" class="date-picker" placeholder="<?php esc_attr_e( 'Start Date', 'tribe-events-ical-importer' ); ?>" value="<?php echo esc_attr( date( $datepicker_format ) ); ?>" data-default="<?php echo esc_attr( date( $datepicker_format ) ); ?>"/>

				<select name="tribe-events-ical-radius" id="tribe-events-ical-radius">
					<option value="">
						<?php esc_html_e( 'Radius', 'tribe-events-ical-importer' ); ?> (<?php echo Tribe__Events__Ical_Importer__Main::getRadiusAbbreviation(); ?>)
					</option>
					<?php
					foreach ( Tribe__Events__Ical_Importer__Main::get_radii() as $name => $value ) {
						echo '<option value="' . esc_attr( $value ) . '">' . $name . '</option>';
					}
					?>
				</select>

				<input type="button" id="tribe-events-ical-search-submit" class="button-primary" value="<?php esc_attr_e( 'Search', 'tribe-events-ical-importer' ); ?>"/>

				<span class="spinner" id="tribe-events-importexport-search-spinner"></span>

				&nbsp;
				<a class="button-secondary" id="tribe-events-ical-clear"><?php esc_html_e( 'Clear', 'tribe-events-ical-importer' ); ?></a>

			</div>

			<div id="tribe-events-import-list-wrapper"></div>

		</form>

	</div>
</div>
